import jwt from 'jsonwebtoken'

export const validateToken = (authToken) => {
  const token = authToken.slice(7, authToken.length)
  return new Promise((resolve, reject) => {
    jwt.verify(token, process.env.JWT_SECRET, {}, (err, decoded) => {
      if (err) {
        console.log(err)
        reject(err)
      }
      return resolve(decoded)
    })
  })
}
